Name:           perl-ExtUtils-XSpp
# Use four digits since 0.1601
Version:        0.1700
Release:        1%{?dist}
Summary:        C++ variant of Perl's XS language
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/ExtUtils-XSpp/
Source0:        http://search.cpan.org/CPAN/authors/id/S/SM/SMUELLER/ExtUtils-XSpp-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(base)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::Base)
BuildRequires:  perl(Test::Differences)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(ExtUtils::ParseXS) >= 0.2202
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(IPC::Open2)
# RPM 4.8 style
%filter_from_requires /ExtUtils::XSpp::Lexer/d
%filter_setup
# RPM 4.9 style
%global __requires_exclude %{?__requires_exclude:__requires_exclude|}ExtUtils::XSpp::Lexer

%description
ExtUtils::XSpp handles the XS++ language, used to create an extension interface
between Perl and C++ code/library.

%prep
%setup -q -n ExtUtils-XSpp-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -empty -exec rmdir {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README XSP.yp
%{_bindir}/xspp
%{perl_vendorlib}/ExtUtils*
%{_mandir}/man?/*

%changelog
* Mon Feb 11 2013 Petr Pisar <ppisar@redhat.com> - 0.1700-1
- 0.1700 bump

* Thu Jan  3 2013 Jitka Plesnikova <jplesnik@redhat.com> - 0.1603-1
- 0.1603 bump
- Update dependencies and source URL

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1602-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 22 2012 Petr Pisar <ppisar@redhat.com> - 0.1602-5
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1602-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jul 25 2011 Petr Pisar <ppisar@redhat.com> - 0.1602-3
- RPM 4.9 dependency filtering added

* Wed Jun 29 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.1602-2
- Perl mass rebuild

* Mon Jun 06 2011 Petr Pisar <ppisar@redhat.com> - 0.1602-1
- 0.1602 bump
- Remove defattr

* Mon Mar 14 2011 Petr Sabata <psabata@redhat.com> - 0.1601-1
- 0.1601 bump

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Oct 22 2010 Marcela Mašláňová <mmaslano@redhat.com> - 0.15-1
- update, fix permission on Grammar.pm (generated file)

* Thu Jul 15 2010 Petr Pisar <ppisar@redhat.com> - 0.12-2
- Remove private perl(ExtUtils::XSpp::Lexer) Requires

* Wed Jul 14 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.12-1
- update to 0.12

* Sat May 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.04-5
- Mass rebuild with perl-5.12.0

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.04-4
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.04-3
- rebuild against perl 5.10.1

* Tue Aug 25 2009 Stepan Kasal <skasal@redhat.com> 0.04-2
- follow suggestions from Parag's review

* Fri Aug 21 2009 Stepan Kasal <skasal@redhat.com> 0.04-1
- Specfile created from a one autogenerated by cpanspec 1.78.
